<div class="flex-fixed-size side-bar">
  <div class="anchor-bar">
    <div
      class="anchor-group remove-chrome-router-link-border"
      [routerLinkActive]="'anchor-group-selected'"
      [attr.data-test-anchor-link-id]="'custom-fields'"
      [routerLink]="'../custom-fields'"
      (click)="hideContextualContent()"
    >
      <div
        [routerLinkActive]="'container-active'"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.entities-customization.custom-fields.title'
            | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:custom_field"
          nzTheme="outline"
        ></i>
      </div>
    </div>
    <div
      class="anchor-group remove-chrome-router-link-border"
      [routerLinkActive]="'anchor-group-selected'"
      [attr.data-test-anchor-link-id]="'info-lists'"
      [routerLink]="'../info-lists'"
      (click)="hideContextualContent()"
    >
      <div
        [routerLinkActive]="'container-active'"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.entities-customization.info-lists.title'
            | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:infolist"
          nzTheme="outline"
        ></i>
      </div>
    </div>
    <div
      class="anchor-group remove-chrome-router-link-border"
      [routerLinkActive]="'anchor-group-selected'"
      [attr.data-test-anchor-link-id]="'requirements-links'"
      [routerLink]="'../requirements-links'"
      (click)="hideContextualContent()"
    >
      <div
        [routerLinkActive]="'container-active'"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.entities-customization.requirements-links.title'
            | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:requirements_link"
          nzTheme="outline"
        ></i>
      </div>
    </div>
    <div
      class="anchor-group remove-chrome-router-link-border"
      [routerLinkActive]="'anchor-group-selected'"
      [attr.data-test-anchor-link-id]="'environment-variables'"
      [routerLink]="'../environment-variables'"
      (click)="hideContextualContent()"
    >
      <div
        [routerLinkActive]="'container-active'"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.entities-customization.environment-variables.title'
            | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:environment-variables"
          nzTheme="outline"
        ></i>
      </div>
    </div>
  </div>
  <ng-content></ng-content>
</div>
